#ifndef __SP_MULTI_CONTENT_H__
#define __SP_MULTI_CONTENT_H__

#include "snort.h"
#include "spp_conversation.h"

#define PLUGIN_MULTI_CONTENT	27

typedef struct _MultiContentData{
	char*			data;
	unsigned short	len;
	int				flags;
} MultiContentData;

#define MULTI_CONTENT_FLAG_NOCASE	1

void MultiContentInit(char*, OptTreeNode*, int);
void SetupMultiContent();
void ParseMultiContent(char*, OptTreeNode*);
void MultiContentInit(char*, OptTreeNode*, int);
int CheckMultiContent(Packet*, struct _OptTreeNode*, OptFpList*);

#endif
